appcompat-v7: 27.1.1 CardView не отображается в предыдущем примере

Я компилирую для SDK 27, и я использовал эту зависимость:

implementation 'com.android.support:appcompat-v7:27.1.1'
implementation 'com.android.support:design:27.1.1'

Тем не менее, я не могу изменить 27 на предыдущую версию, так как она сплела ошибку с некоторой проблемой кеша. Программа запускается, и я вижу вид карты на своем телефоне, поскольку на ней запущен последний SDK. Но когда я беру телефон с более старым SDK (скажем, 6.0), карта открывается. Это мой выход , если я изменю targetSDKдо 23 и compileSDKдо 23 лет, а также :

implementation 'com.android.support:appcompat-v7:23.0.1  
implementation 'com.android.support:design:23.0.1'

Это ошибка:

AGPBI: {"kind": "error", "text": "error: resource android: attr / colorError not found.", "Sources": [{"file": "/ root / .gradle / caches / transforms- 1 / файлы-1.1 / AppCompat-v7-27.0.2.aar / 1642e61f47dd91a1acce6e369ec672e9 / RES / значения-V26 / ценности-v26.xml " "положение": { "StartLine": 8, "startColumn": 4," startOffset ": 431," лицевой линии ": 11," endColumn ": 12," endOffset ": 652}}]," оригинальный ":"», "инструмент": "AAPT"}

android,android-studio,sdk,build.gradle,android-cardview,

0